# List family relation types

Retrieves a paginated list of relation types assigned to a family.

Endpoint: GET /v1/families/{familyUuid}/relation-types
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `familyUuid` (string, required)
    The unique identifier of the family.

## Query parameters:

  - `uuids[eq]` (array)

  - `productRelationTypeUuids[eq]` (array)

  - `isRequired[eq]` (boolean)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this family-relation type association.

  - `items.familyUuid` (string, required)
    Identifier of the family this association belongs to.

  - `items.productRelationTypeUuid` (string, required)
    Identifier of the product relation type that is associated.

  - `items.createdAt` (string, required)
    Timestamp when the association was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when the association was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.isRequired` (boolean, required)
    Whether relations of this type are required for products in this family.

  - `items.minCount` (integer, required)
    Minimum number of relations of this type required.

  - `items.maxCount` (integer,null, required)
    Maximum number of relations of this type allowed. Null means unlimited.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


